YARNDelegationTokenIdentifier (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.security.client, class: YARNDelegationTokenIdentifier

Package org.apache.hadoop.yarn.security.client

# Class YARNDelegationTokenIdentifier

java.lang.Object
org.apache.hadoop.security.token.TokenIdentifier
org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier
org.apache.hadoop.yarn.security.client.YARNDelegationTokenIdentifier

All Implemented Interfaces:
  `org.apache.hadoop.io.Writable`

Direct Known Subclasses:
  `RMDelegationTokenIdentifier`, `TimelineDelegationTokenIdentifier`, `YARNDelegationTokenIdentifierPBImpl`

@Private public abstract class YARNDelegationTokenIdentifier extends org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `YARNDelegationTokenIdentifier()`
  `YARNDelegationTokenIdentifier(org.apache.hadoop.io.Text owner, org.apache.hadoop.io.Text renewer, org.apache.hadoop.io.Text realUser)`
  `YARNDelegationTokenIdentifier(org.apache.hadoop.yarn.proto.YarnSecurityTokenProtos.YARNDelegationTokenIdentifierProto.Builder builder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.proto.YarnSecurityTokenProtos.YARNDelegationTokenIdentifierProto`
  `getProto()`
  `static YARNDelegationTokenIdentifier`
  `newInstance(org.apache.hadoop.io.Text owner, org.apache.hadoop.io.Text renewer, org.apache.hadoop.io.Text realUser)`
  `void`
  `readFields(DataInput in)`
  `void`
  `readFieldsInOldFormat(DataInput in)`
  `void`
  `write(DataOutput out)`
  `void`
  `writeInOldFormat(DataOutput out)`

  ### Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

  `equals, getIssueDate, getKind, getMasterKeyId, getMaxDate, getOwner, getRealUser, getRenewer, getSequenceNumber, getUser, hashCode, isEqual, setIssueDate, setMasterKeyId, setMaxDate, setOwner, setRealUser, setRenewer, setSequenceNumber, toString, toStringStable`

  ### Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier

  `getBytes, getTrackingId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### YARNDelegationTokenIdentifier

    public YARNDelegationTokenIdentifier()

  - ### YARNDelegationTokenIdentifier

    public YARNDelegationTokenIdentifier(org.apache.hadoop.io.Text owner, org.apache.hadoop.io.Text renewer, org.apache.hadoop.io.Text realUser)

  - ### YARNDelegationTokenIdentifier

    public YARNDelegationTokenIdentifier(org.apache.hadoop.yarn.proto.YarnSecurityTokenProtos.YARNDelegationTokenIdentifierProto.Builder builder)

- ## Method Details

  - ### readFields

    public void readFields(DataInput in) throws IOException
    Specified by:
      `readFields` in interface `org.apache.hadoop.io.Writable`
    Overrides:
      `readFields` in class `org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier`
    Throws:
      `IOException`

  - ### readFieldsInOldFormat

    public void readFieldsInOldFormat(DataInput in) throws IOException
    Throws:
      `IOException`

  - ### write

    public void write(DataOutput out) throws IOException
    Specified by:
      `write` in interface `org.apache.hadoop.io.Writable`
    Overrides:
      `write` in class `org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier`
    Throws:
      `IOException`

  - ### writeInOldFormat

    @VisibleForTesting public void writeInOldFormat(DataOutput out) throws IOException
    Throws:
      `IOException`

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnSecurityTokenProtos.YARNDelegationTokenIdentifierProto getProto()

  - ### newInstance

    @Private @Unstable public static YARNDelegationTokenIdentifier newInstance(org.apache.hadoop.io.Text owner, org.apache.hadoop.io.Text renewer, org.apache.hadoop.io.Text realUser)